Subject: bug#11102: 24.0.94; C-x C-c from a client frame sometimes kills the whole Emacs process

From: Juanma Barranquero <[email-masked]>
Date: Fri, 13 Apr 2012 18:10:13 +0200

On Fri, Apr 13, 2012 at 16:38, Eli Zaretskii <[email-masked]> wrote:

> Perhaps the
> bug is that we create a new frame on Windows even though the server
> receives the -current-frame parameter.  Why doesn't server.el on
> Windows honor that parameter?

I think it is a bug, yes. On a tty session,

  emacs -Q -nw -f server-start
  emacsclient -c -n

the emacs server does not get a second frame, though you get a
spurious message "When done with this frame, type C-x 5 0" (I
debbugged it a bit and I think a second frame is being created and
then destroyed).

    Juanma